Subject: Re: [bug#39445] [PATCH v2 2/2] gnu: ripgrep: enable the 'pcre2' feature

From: Efraim Flashner <[email-masked]>
Date: Tue, 11 Feb 2020 20:25:42 +0200

On Mon, Feb 10, 2020 at 12:28:13PM +0100, Jakub Kądziołka wrote:
> On Mon, Feb 10, 2020 at 10:43:51AM +0200, Efraim Flashner wrote:
> > Should the install phase also get the '--release' flag?
> 
> It's a reasonable question to ask, but no. `cargo install' will always
> use a release build. Moreover, passing the --release flag to cargo
> install will lead to an unexpected argument error.

That's unfortunate. I was hoping to re-use the cargo-build-flags option.
Might still be worth it, after adding logic to strip out the '--release'
flag.

Patches pushed.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted